Name: vnkb-applet
Summary: A Vietnamese keyboard input for X-Window
Version: 0.0.3
Release: %mkrel 8
Group: System/Internationalization
URL: http://vinux.sourceforge.net/wikini/wakka.php?wiki=vnkb-applet
Source: http://vinux.sourceforge.net/pclouds/%{name}-%{version}.tar.bz2
Patch0: vnkb-applet-0.0.3-gnomeui-dir.patch
Patch1: vnkb-applet-0.0.3-gtk-namespace.patch
Buildroot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: locales-vi
BuildRequires: libx11-devel
BuildRequires: libglade2.0-devel
BuildRequires: gnome-panel-devel
BuildRequires: libgnomeui2-devel
BuildRequires: perl-XML-Parser
BuildRequires: gnome-common
BuildRequires: intltool

%description
Vnkb-applet is a GNOME Frontend for xvnkb
It provides both:
- a "Vietnamese Keyboard" applet in Utility,
- vnkb-docklet, which is a docklet.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
NOCONFIGURE=yes gnome-autogen.sh
export CFLAGS="%optflags -fPIC"
%configure2_5x
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog README* COPYING NEWS INSTALL
%_datadir/%name
%_datadir/gnome-2.0/ui/VnkbApplet.xml
%_libdir/vnkb-applet
%_libdir/bonobo/servers/VnkbApplet_Factory.server
%{_bindir}/vnkb-docklet




%changelog
* Fri Jan 28 2011 Funda Wang <fwang@mandriva.org> 0.0.3-8mdv2011.0
+ Revision: 633661
- fix build and simplify BRs

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.0.3-4mdv2008.1
+ Revision: 136571
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel


* Sat Nov 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.0.3-4mdv2007.0
+ Revision: 87149
- add buildrequires on gnomeui2-devel & gnome-panel-devel
- add buildrequires on libglade2.0-devel
- add buildrequires on gtk+2
- Import vnkb-applet

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.3-4mdv2007.1
- rebuild for new dbus

* Sat Apr 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.0.3-3mdk
- rebuild for new ssl library

* Fri Oct 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.0.3-2mdk
- Fix BuildRequires
- %%mkrel

* Fri Sep 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.3-1mdk
- Initial build for Mandrakelinux 10.1

